For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • HRIS Guides
    • Introduction
  • HRIS Common Use Cases
    • Sync Deel users to identity providers
  • SCIM API
    • Overview
  • HRIS Endpoints
      • POSTApprove/Reject time-off requests
      • DELCancel time-off request
      • POSTCreate time-off request
      • POSTExternal HR Time Off Synchronization
      • GETGet Profile Entitlements
      • GETGet Time Off Events for Profile
      • GETGet Work Schedule and Holidays
      • GETList policies
      • GETList time-off requests
      • GETRetrieve policy validation templates
      • PATCHUpdate time-off request
      • POSTValidate time-off request
  • ATS Guides
    • Introduction
    • Getting started
    • Manage jobs
    • Manage candidates and applications
    • Webhooks
  • ATS Common Use Cases
    • From candidate to contract
  • ATS Endpoints
LogoLogo
SupportDeel Home
HRIS EndpointsTime Off

List time-off requests

GET
/time_offs/profile/:hris_profile_id
GET
/rest/v2/time_offs/profile/:hris_profile_id
$curl -G https://api.letsdeel.com/rest/v2/time_offs/profile/d290f1ee-6c54-4b01-90e6-d701748f0851 \
> -H "Authorization: Bearer <token>" \
> -d status=REQUESTED \
> -d time_off_ids=d290f1ee-6c54-4b01-90e6-d701748f0851 \
> --data-urlencode start_date=2022-01-01T00:00:00Z \
> --data-urlencode end_date=2022-01-01T00:00:00Z \
> --data-urlencode approval_start_date=2022-01-01T00:00:00Z \
> --data-urlencode approval_end_date=2022-01-01T00:00:00Z \
> --data-urlencode updated_start_date=2022-01-01T00:00:00Z \
> --data-urlencode updated_end_date=2022-01-01T00:00:00Z \
> -d page_size=10 \
> -d policy_types=d290f1ee-6c54-4b01-90e6-d701748f0851 \
> -d next=d290f1ee-6c54-4b01-90e6-d701748f0851
1{
2 "data": [
3 {
4 "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
5 "amount": 0.5,
6 "is_paid": true,
7 "end_date": "2022-01-01",
8 "created_at": "2022-01-01T00:00:00Z",
9 "start_date": "2022-01-01",
10 "updated_at": "2022-01-01T00:00:00Z",
11 "requested_at": "2022-01-01",
12 "half_end_date": true,
13 "half_start_date": true,
14 "entitlement_unit": "CALENDAR_DAY",
15 "time_off_type_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
16 "reason": "Vacation",
17 "status": "REQUESTED",
18 "approved_at": "2022-01-01T00:00:00Z",
19 "description": "Vacation",
20 "contract_oid": "32fk5ds",
21 "deduction_amount": 0.5,
22 "time_off_dailies": [
23 {
24 "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
25 "date": "2022-01-01",
26 "type": "WORKING_DAY",
27 "amount": 0.5,
28 "created_at": "2022-01-01T00:00:00Z",
29 "updated_at": "2022-01-01T00:00:00Z",
30 "time_off_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
31 "description": "Vacation"
32 }
33 ],
34 "recipient_profile": {
35 "hris_profile_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
36 "organization_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
37 "client_profile_id": "d290f1ee-6c54-4b01-90e6-d701748f0851"
38 },
39 "requester_profile": {
40 "hris_profile_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
41 "organization_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
42 "client_profile_id": "d290f1ee-6c54-4b01-90e6-d701748f0851"
43 },
44 "time_off_percentage": 0.5,
45 "is_end_date_estimated": true,
46 "other_type_description": "Vacation"
47 }
48 ],
49 "page_size": 10,
50 "has_next_page": true,
51 "next": "string"
52}

Returns a paginated list of time-off requests for the specified hris_profile_id, with optional filters for status, policy type, date ranges covering the time-off period, approval date, and last-updated date. Token scopes: time-off:read

Was this page helpful?
Previous

Retrieve policy validation templates

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

hris_profile_idstringRequiredformat: "uuid"
HRIS profile id

Query parameters

statuslist of enumsOptional
Time off status
Allowed values:
time_off_idslist of stringsOptional
Time off ids
start_datestringOptionalformat: "date-time"
Start date of time off
end_datestringOptionalformat: "date-time"
End date of time off
approval_start_datestringOptionalformat: "date-time"
Approval start date
approval_end_datestringOptionalformat: "date-time"
Approval end date
updated_start_datestringOptionalformat: "date-time"
Updated start date
updated_end_datestringOptionalformat: "date-time"
Updated end date
page_sizeintegerOptional5-200
Page size
policy_typeslist of stringsOptional
Policy types
nextstringOptional
Next page

Response

Successful operation time offs returned
datalist of objects
page_sizeinteger5-200
Page size
has_next_pageboolean
Has next page
nextstring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/